Subject: Re: bug#12396: 24.2.50; [PATCH] extend usability of gnus-read-ephemeral-emacs-bug-group

From: Juri Linkov <[email-masked]>
Date: Fri, 14 Sep 2012 02:35:55 +0300

> When I use it it does grab the bug number, at least in the types of
> cases I had in mind (however, I didn't think of URLs like this one...).
> Can you provide a recipe showing the failure?

A recipe is just to put point anywhere in the message body
and evaluate M-: (gnus-get-emacs-bug-number) RET
It doesn't grab a bug number in the subject line,
but returns nil.  Please clarify where you intended point to be
to be able to grab a bug number from the subject line.

Actually there already exist similar functionality
in `Info-follow-reference'.  If you type in an Info node
`f TAB' it allows you to select one of the links to other nodes.
Since bug references are similar to links, you could do the same
and to collect bug references from the current buffer for completion.
Of course, the bug reference under point should be prefered over
all other bug references in the buffer and should be provided as
the first default value.